require(['config'], function() {
	require([
		'jquery'
	], function($) {

	});
});

let FRCOMP_POP_GRID_LIST = '/api/brand/pop-grid-list';

function itp_fn_BIZPOP_AFFL_BRAND(parentPopFn, args, returnType) {
	// 공통코드
	// fn_make_select(CODE_LIST, 'CMPY_TYPE_CD', 'ITP_FORM_BIZPOP_AFFL_BRAND_CMPY_TYPE_CD', true, '브랜드그룹타입 선택');
	
	let itp_BIZPOP_AFFL_BRAND_param = {};
	let itp_BIZPOP_AFFL_BRAND_search = false;

	const THIS_FORM_ID = '#ITP_FORM_BIZPOP_AFFL_BRAND';
	const THIS_GIRD_ID = '#ITP_BIZPOP_AFFL_BRAND_jqGrid';
	const THIS_GIRD_PAGER = '#ITP_BIZPOP_AFFL_BRAND_jqGridPager';

	if(args) {
		$('#ITP_FORM_BIZPOP_AFFL_BRAND_CMPY_NM').val(args.brandNm);
	}
	
	$('#ITP_BIZPOP_AFFL_BRAND').one('shown.bs.modal', function(e) {
		itp_fn_jqgrid_resize(THIS_GIRD_ID, '#ITP_BIZPOP_AFFL_BRAND_jqGrid_list', '');
		itp_fn_fire_window_resize();
	}).one('hidden.bs.modal', function(e) {
		$('#ITP_BIZPOP_AFFL_BRAND').remove();
	}).modal('show');

	$('#ITP_BIZPOP_AFFL_BRAND_BTN_SEARCH').on('click', function() {
		itp_BIZPOP_AFFL_BRAND_search = true;
		let param = $(THIS_FORM_ID).serializeObject();
		param.gridSize = 10;
		param.gridPage = $.jgrid.defaults.page;
		$(THIS_GIRD_ID).setGridParam({'postData': JSON.stringify(param)}).trigger('reloadGrid');
	});
	
	$('#ITP_BIZPOP_AFFL_BRAND_BTN_SELECT').on('click', function() {		
		const rowKey = $(THIS_GIRD_ID).getGridParam('selrow');
	    if (!rowKey) {
	    	return;
	    }

		var list = [];
	    var selectedIds = $(THIS_GIRD_ID).getGridParam('selarrrow');

		if(selectedIds.length > 1) { // 1개만 선택
			// return;
		} 
		
	    for (var i=selectedIds.length-1; i>=0; i--) {
			list.push($(THIS_GIRD_ID).jqGrid('getRowData', selectedIds[i]));	
		}
		parentPopFn(list);
		$('#ITP_BIZPOP_AFFL_BRAND').modal('hide'); // 팝업닫기
	});

	$('#ITP_BIZPOP_AFFL_BRAND_jqGridEmpty').on('click', function() {
		itp_fn_BIZPOP_AFFL_BRAND_empty.back();
		itp_BIZPOP_AFFL_BRAND_param.gridSize = 10;
		$(THIS_GIRD_ID).setGridParam({'postData': JSON.stringify(itp_BIZPOP_AFFL_BRAND_param)}).trigger('reloadGrid');
	});

	var itp_fn_BIZPOP_AFFL_BRAND_empty = {
		push: function() {
			let param = $(THIS_FORM_ID).serializeObject();
			itp_BIZPOP_AFFL_BRAND_param = param;
		},
		back: function() {
			$(THIS_FORM_ID + '_CMPY_CD').val(itp_BIZPOP_AFFL_BRAND_param.scmpyCd);
			$(THIS_FORM_ID + '_CMPY_NM').val(itp_BIZPOP_AFFL_BRAND_param.scmpyNm);
			$(THIS_FORM_ID + '_CMPY_TYPE_CD').val(itp_BIZPOP_AFFL_BRAND_param.scmpyTypeCd);
		}
	};

	itp_fn_BIZPOP_AFFL_BRAND_empty.push();
	let param = $('#ITP_FORM_BIZPOP_AFFL_BRAND').serializeObject();
	param.gridSize = 10;

	$(THIS_GIRD_ID).jqGrid({
		colModel: [
			{
				index: 'AFFL_SHOP_ID', name: 'afflShopId',
				label: '브랜드그룹ID', //
				width: '0', fixed: false, align: 'center',
				sortable: false, hidden: true
			},
			{
				index: 'AFFL_SHOP_NM', name: 'afflShopNm',
				label: '브랜드그룹명', //
				width: '20', fixed: false, align: 'left',
				sortable: false, hidden: false
			},
			{
				index: 'BRAND_ID', name: 'brandId',
				label: '브랜드ID', //
				width: '10', fixed: false, align: 'center',
				sortable: false, hidden: false
			},
			{
				index: 'BRAND_NM', name: 'brandNm',
				label: '브랜드명', //
				width: '20', fixed: false, align: 'left',
				sortable: false, hidden: false
			},
			{
				index: 'OQ_BRAND_ID', name: 'oqBrandId',
				label: '오더퀸브랜드코드', //
				width: '20', fixed: false, align: 'center',
				sortable: false, hidden: true
			}
		],
		loadBeforeSend: function(jqXHR) {
		    jqXHR.setRequestHeader('X-AUTH-TOKEN', CONN_KEY);
		},
		postData: JSON.stringify(param),
		url: DOMAIN + FRCOMP_POP_GRID_LIST,
		pager: THIS_GIRD_PAGER,
		multiselect: true,
		loadComplete: function(data) {
			itp_fn_grid_load_complete(data, THIS_GIRD_ID, true, undefined, 'BIZPOP_AFFL_BRAND', itp_BIZPOP_AFFL_BRAND_search, itp_fn_BIZPOP_AFFL_BRAND_empty, true, data.gridRecords, false);
	    },
	    loadError: function(jqXHR, textStatus, errorThrown) {
	    	itp_fn_grid_load_error(jqXHR, textStatus, errorThrown);
	    },
	    onPaging: function(action) {
	    	itp_fn_grid_paging(THIS_GIRD_ID, action, param);
	    }
	}).navGrid(THIS_GIRD_PAGER, ITP_GRID_NAV_DEFAULTS.navGrid);
};
