require(['config'], function() {
	require([
		'jquery'
	], function($) {

		setTimeout(function() {
			// mobMainObj.init();
		}, 100);

	});
});

let MOBILE_APP_VERSION = '';

let NTICE_DETAIL_GRID_LIST = '/api/ntice/main-detail-grid-list';
let MAIN_CHART_COUNT = '/api/main/chart/count';
let MAIN_CHART_PCH_REQ_CHART = '/api/main/chart/pch-req-chart';
let MAIN_CHART_PCH_ODR_CHART = '/api/main/chart/pch-odr-chart';
let MAIN_CHART_PR_RANK_CHART = '/api/main/chart/pr-rank-chart';
let MAIN_CHART_STL_CHART = '/api/main/chart/stl-chart';
let MAIN_CHART_SFT_STCK_CHART = '/api/main/chart/sft-stck-chart';
let MAIN_CHART_DELI_CHART = '/api/main/chart/deli-chart';

var chartCnt=0;
var chartWidth=window.offsetWidth-16;
var mobMainObj=null;

function clickNotify(nticeNo) {
	mobPopObj.popNotice.open(nticeNo);
}
function goMain() {	
	$('#ITP_CONTAINER div.itp_mobile_contents').empty().html(`<div id="ITP_MAIN_CONTAINER" class="itp_main_box"><div class="itp_note_header">
			<h1>공지사항</h1>
		</div>				
		<div class="itp_note_bar">
			<ul id="ITP_NOTE_ROW" class="mb_0 panel-group itp_nav"></ul>
		</div>
		<div class="itp_note_header Work">
			<h1>주요업무</h1>
		</div>
		<div id="ITP_BRAND_ICON_BAR" style="display: none;"></div>
		<div id="ITP_STR_ICON_BAR" style="display: none;"></div>
		<div id="ITP_SPY_ICON_BAR" style="display: none;"></div></div>`);

	var authTpCd = fn_make_user_info.get('authTpCd');
	// 10:관리자, 20:영업담당자, 30:가맹점, 40:브랜드, 50:매장, 60:공급사
	if(authTpCd=='40') {
		showBrandButtons();
		if(fn_make_user_info.get('shmtColProcType') === '10') {
			$('#ITP_BRAND_ICON_BAR .itp_icon_bar').each(function(i) {
				if(i < 2) {
					$(this).find('.md').remove();
					$(this).find('.itp_icon').addClass('w50');
				}
			});
		}
	} else if(authTpCd=='50') {
		showStoreButtons();
	} else if(authTpCd=='60') {
		showSupplyButtons();
	} 

	var searhFn = function(result) { 
		if(Array.isArray(result.gridRows) && result.gridRows.length ) {
			var s='', idx=1;
			for(var c of result.gridRows ) {
				let title=c.nticeTitl;
				if(title.length>62) {
					title=title.substr(0,62)+'...';
				} 
				s+=`<li>
					<div class="itp_note_info">
						<div class="under fnNoteTitle"><a href="javascript:clickNotify('${c.nticeNo}')">${title}</a></div>
						<div style="width:75px;" class="fnNoteDt">${c.addDt}</div>
					</div>
				</li>`; 
			}
			$('#ITP_NOTE_ROW').html(s);
		} else {
			$('#ITP_NOTE_ROW').html('<div class="itp_note_bar" style="display: block;"> <h1>등록된 게시물이 없습니다.</h1> </div>')
		} 
	};
	fn_ajax_call(NTICE_DETAIL_GRID_LIST, "{}", searhFn, 'POST');
	// $(location).attr('href', MOBILE_CONTEXTPATH + '/app/main.html');
	mobMainObj = {
		init: function () {
			var PushURL = CommonObj.getParameter('PushURL');
			if(PushURL) {
				const id = PushURL.substring(PushURL.lastIndexOf('/') + 1, PushURL.length).replace(".html", "");
				const href = MOBILE_CONTEXTPATH + PushURL;
				fn_make_slide_menu.loadPage(id, href);
			}
		},
		action: function() {
			var _this = this;
			var getURL = function(id) {
				if(id=='MSALESMNG03010') return '/app/msalesmng/'+id+'.html';
				var rtnURL = '';
				$.each(AUTH_MENU_LIST, function(key, value) {
					if(value.menuId === id) {
						rtnURL = value.connUrl;
						return false;
					}
				});
				return rtnURL;
			};
			$('#ITP_MAIN_CONTAINER button').on('click', function() {
				const id = $(this).data('menu-id');
				const connURL = getURL(id);
				if(connURL !== '') {
					const href = MOBILE_CONTEXTPATH + connURL;
					fn_make_slide_menu.loadPage(id, href);
				}
			});
		}
	};
	mobMainObj.action();
}

function showSupplyButtons() {
	const html=`<div class="itp_icon_bar">
	<div class="itp_icon w50">
		<button data-menu-id="MORDMNG02010" style="float:right; margin-right:14px;"><img src="../img/main_icon/spy_new.png"></button>
	</div>
	<div class="itp_icon w50">
		<button data-menu-id="MORDMNG03010" style="float:left; margin-left:14px;"><img src="../img/main_icon/spy_info.png"></button>
	</div>
</div>
<div class="itp_icon_bar">
	<div class="itp_icon w50">
		<button data-menu-id="MCOLLMNG02010" style="float:right; margin-right:14px;"><img src="../img/main_icon/spy_col_new.png"></button>
	</div>
	<div class="itp_icon w50">
		<button data-menu-id="MCOLLMNG03010" style="float:left; margin-left:14px;"><img src="../img/main_icon/spy_col_now.png"></button>
	</div>
</div>`;
	$('#ITP_SPY_ICON_BAR').html(html).show();
}
function showStoreButtons() {
	const html=`<div class="itp_icon_bar">
	<div class="itp_icon">
		<button data-menu-id="MPOMNG01010"><img src="../img/main_icon/str_oder.png"></button>
	</div>
	<div class="itp_icon md">
		<button data-menu-id="MPOMNG02010"><img src="../img/main_icon/str_oder_info.png"></button>
	</div>
	<div class="itp_icon">
		<button data-menu-id="MPOMNG06010"><img src="../img/main_icon/whs.png"></button>
	</div>
</div>
<div class="itp_icon_bar">
	<div class="itp_icon">
		<button data-menu-id="MRTNMNG01010"><img src="../img/main_icon/str_return.png"></button>
	</div>
	<div class="itp_icon md">
		<button data-menu-id="MRTNMNG02010"><img src="../img/main_icon/return.png"></button>
	</div>
	<div class="itp_icon">
		<button data-menu-id="MRTNMNG05010"><img src="../img/main_icon/return_go.png"></button>
	</div>
</div>
<div class="itp_icon_bar mb">
	<div class="itp_icon">
		<button data-menu-id="MSTOCKMNG01010"><img src="../img/main_icon/str_amt_info.png"></button>
	</div>
	<div class="itp_icon md">
		<button data-menu-id="MLOANMNG03010"><img src="../img/main_icon/str_no_amt_info.png"></button>
	</div>
	<div class="itp_icon">
		<button data-menu-id="MSALESMNG03010"><img src="../img/main_icon/Dashboards.png"></button>
	</div>
</div>`;
	$('#ITP_STR_ICON_BAR').html(html).show();
}
function showBrandButtons() {
	const html=`<div class="itp_icon_bar">
	<div class="itp_icon">
		<button data-menu-id="MPOMNG02010"><img src="../img/main_icon/oder.png"></button>
	</div>
	<div class="itp_icon md">
		<button id="MPOMNG04011" data-menu-id="MPOMNG04011"><img src="../img/main_icon/oder_pro.png"></button>
	</div>
	<div class="itp_icon">
		<button data-menu-id="MPOMNG06010"><img src="../img/main_icon/whs.png"></button>
	</div>
</div>
<div class="itp_icon_bar">
	<div class="itp_icon">
		<button data-menu-id="MRTNMNG02010"><img src="../img/main_icon/return.png"></button>
	</div>
	<div class="itp_icon md">
		<button id="MRTNMNG04011" data-menu-id="MRTNMNG04011"><img src="../img/main_icon/return_pro.png"></button>
	</div>
	<div class="itp_icon">
		<button data-menu-id="MRTNMNG05010"><img src="../img/main_icon/return_go.png"></button>
	</div>
</div>
<div class="itp_icon_bar">
	<div class="itp_icon">
		<button data-menu-id="MSTOCKMNG01010"><img src="../img/main_icon/amt.png"></button>
	</div>
	<div class="itp_icon md">
		<button data-menu-id="MSTOCKMNG02010"><img src="../img/main_icon/amt_cdd.png"></button>
	</div>
	<div class="itp_icon">
		<button data-menu-id="MSALESMNG03010"><img src="../img/main_icon/Dashboards.png"></button>
	</div>
</div>
<div class="itp_icon_bar mb">
	<div class="itp_icon">
		<button data-menu-id="MLOANMNG02010"><img src="../img/main_icon/deposit.png"></button>
	</div>
	<div class="itp_icon md">
		<button data-menu-id="MLOANMNG03010"><img src="../img/main_icon/no_amt.png"></button>
	</div>
	<div class="itp_icon">
		<button data-menu-id="MSALESMNG02010"><img src="../img/main_icon/Sales.png"></button>
	</div>
</div>`;
	$('#ITP_BRAND_ICON_BAR').html(html).show();
	
}


mobMainObj = {
	init: function () {
		var PushURL = CommonObj.getParameter('PushURL');
		if(PushURL) {
			const id = PushURL.substring(PushURL.lastIndexOf('/') + 1, PushURL.length).replace(".html", "");
			const href = MOBILE_CONTEXTPATH + PushURL;
			fn_make_slide_menu.loadPage(id, href);
		} else {
			itp_fn_logined_check();
			this.ui();
			this.action();
			this.notice.init();
			// this.count.init();
			// this.chart.init();
		}
		(function ($) {
			$.fn.inputFilter = function (inputFilter) {
				return this.on("input keydown keyup mousedown mouseup select contextmenu drop", function () {
					if (inputFilter(this.value)) {
						this.oldValue = this.value;
						this.oldSelectionStart = this.selectionStart;
						this.oldSelectionEnd = this.selectionEnd;
					} else if (this.hasOwnProperty("oldValue")) {
						this.value = this.oldValue;
						this.setSelectionRange(this.oldSelectionStart, this.oldSelectionEnd);
					}
				});
			};
		}(jQuery));		
	},
	ui: function() { 
		var authTpCd = fn_make_user_info.get('authTpCd');
		if(authTpCd === '40' ) {
			showBrandButtons();
			if(fn_make_user_info.get('shmtColProcType') === '10') {
				$('#ITP_BRAND_ICON_BAR .itp_icon_bar').each(function(i) {
					if(i < 2) {
						$(this).find('.md').remove();
						$(this).find('.itp_icon').addClass('w50');
					}
				});
			}
		} else if(authTpCd === '50') {
			showStoreButtons();
		} else if(authTpCd === '60') {
			showSupplyButtons();
		}  
		// 10:관리자, 20:영업담당자, 30:가맹점, 40:브랜드, 50:매장, 60:공급사 
	},
	action: function() {
		var _this = this;
		var getURL = function(id) {
			if(id=='MSALESMNG03010') return '/app/msalesmng/'+id+'.html';
			var rtnURL = '';
			$.each(AUTH_MENU_LIST, function(key, value) {
				if(value.menuId === id) {
					rtnURL = value.connUrl;
					return false;
				}
			});
			return rtnURL;
		};
		$('#ITP_MAIN_CONTAINER button').on('click', function() {
			const id = $(this).data('menu-id');
			const connURL = getURL(id);
			if(connURL !== '') {
				const href = MOBILE_CONTEXTPATH + connURL;
				fn_make_slide_menu.loadPage(id, href);
			}
		});
	},
	notice: {
		init: function () {
			this.load();
		},
		load: function () {
			var searhFn = function(result) { 
				if(Array.isArray(result.gridRows) && result.gridRows.length ) {
					var s='', idx=1;
					for(var c of result.gridRows ) {
						let title=c.nticeTitl;
						if(title.length>62) {
							title=title.substr(0,62)+'...';
						} 
						s+=`<li>
							<div class="itp_note_info">
								<div class="under fnNoteTitle"><a href="javascript:clickNotify('${c.nticeNo}')">${title}</a></div>
								<div style="width:75px;" class="fnNoteDt">${c.addDt}</div>
							</div>
						</li>`; 
					}
					$('#ITP_NOTE_ROW').html(s);
				} else {
					$('#ITP_NOTE_ROW').html('<div class="itp_note_bar" style="display: block;"> <h1>등록된 게시물이 없습니다.</h1> </div>')
				} 
			};
			fn_ajax_call(NTICE_DETAIL_GRID_LIST, "{}", searhFn, 'POST');
		}
	},
	
	
};

function appCallFnVersion(version) {
	MOBILE_APP_VERSION = version;
	/*console.log(MOBILE_APP_VERSION);*/
}

let mobPopObj = {
	popNotice: {
		popId: 'ITP_POP_NOTICE',
		open: function (nticeNo) {
			mobPopObj.show(this.popId);
			this.search(nticeNo);
		},
		close: function() {
			mobPopObj.hide(this.popId);
		},
		search: function (nticeNo) { 
			const me=this;
			fn_ajax_call('/api/ntice/info-ntice', {nticeNo}, function(result) {
				// 브랜드그룹 셋팅
				$('#ITP_POP_NOTICE_AREA .fnNoteNm').html(result.nticeTitl);
				$('#ITP_POP_NOTICE_AREA .fnNote').html(result.nticeDesc);
				$('#ITP_POP_NOTICE_AREA .fnNoteFromTo').html(result.notiStDay+' ~ '+result.notiEdDay); 
				me.makeFileDownloadTable($('#ITP_POP_NOTICE_AREA .fnNoteFile'),result.fileNo); 
				/*
				$('#ITP_FORM_NOTICE_INFO_POPUP_AFFL_SHOP_NM').html(result.afflShopNm);
				$('#ITP_FORM_NOTICE_INFO_POPUP_BRAND_NM').html(result.brandNm);
				*/ 
			}, 'GET');
		},
		makeFileDownloadTable: function (el, fileNo) {
			var searhFn = function(result) {
				var html = '';
				html += '<table class="table fileupload-download">';
				html += '<tbody>';
				$.each(result, function (key, value) { 
					html += '<tr class="fileupload-downloadrow no-thumb row">';	
					html += '<td class="col-xs-9 itp_file_info" data-file-no="' + value.fileNo + '" data-file-seq="' + value.fileSeq + '">';
					html += '<a href="' + DOMAIN + '/api/file/download/' + value.fileNo + '/' + value.fileSeq + '">';
					html += value.fileOrgNm + '</a></td>';
					html += '<td class="col-xs-3">' + value.fileSize + '</td>'; 
					html += '</tr>';
				});
				html += '</tbody>';
				html += '</table>';
				el.html(html);
			}
			fn_ajax_call('/api/file/list', {fileNo}, searhFn, 'GET');
		}
		
	},
	show: function(popId) {
		$('#' + popId+' .btn-pop-close').on('click', function() {
			mobPopObj.hide(popId);
		});
		$('#' + popId).show();
	},
	hide: function(popId) {
		$('#' + popId).closest('.mobile-pop-close').hide();
	}
};

function appCallFnConnKey(connKey) {
	if(connKey) {
		sessionStorage.setItem('itp_login_info', JSON.stringify({
			timestamp: new Date(),
			connKey: connKey
		}));
		itp_fn_session_data(connKey);
	} else {
		location.replace('app:logout');
	}
}
