require(['config'], function() {
	require([
		'jquery',
	], function($) {

	});
});

let API_VERINFO_DETAIL_GRID_LIST = '/api/verinfo/detail-grid-list';
let API_VERINFO_INFO_VERINFO = '/api/verinfo/info-verinfo';
let API_VERINFO_SAVE_VERINFO = '/api/verinfo/save-verinfo';

function itp_fn_BIZPOP_VERSION(parentPopFn, args, returnType) {
	itp_fn_form_event.onKeyup('#ITP_FORM_BIZPOP_VERSION');
	if (args) {
		fn_ajax_call(API_VERINFO_INFO_VERINFO, args, function(result) {
			let appVer = result.appVer;
			appVer = appVer.split('.');
			let appVerLeft = appVer[0];
			let appVerMid = appVer[1];
			let appVerRight = appVer[2];
			$('#ITP_FORM_BIZPOP_VERSION_APP_NO').val(result.appNo);
			$('#ITP_FORM_BIZPOP_VERSION_APP_VER_LEFT').val(appVerLeft);
			$('#ITP_FORM_BIZPOP_VERSION_APP_VER_MIDDLE').val(appVerMid);
			$('#ITP_FORM_BIZPOP_VERSION_APP_VER_RIGHT').val(appVerRight);
			$('#ITP_FORM_BIZPOP_VERSION_DES_VER').text(result.desVer);
			
			$('#ITP_FORM_BIZPOP_VERSION_APP_VER_LEFT').attr('readonly', true);
			$('#ITP_FORM_BIZPOP_VERSION_APP_VER_MIDDLE').attr('readonly', true);
			$('#ITP_FORM_BIZPOP_VERSION_APP_VER_RIGHT').attr('readonly', true);
			$('#ITP_FORM_BIZPOP_VERSION_DES_VER').attr('readonly', true);
			$('#ITP_BIZPOP_VERSION_BTN_SAVE').hide();
		}, 'GET');
	}
	
	$('#ITP_BIZPOP_VERSION_BTN_SAVE').on('click', function() {
		let param = $('#ITP_FORM_BIZPOP_VERSION').serializeObject();
		if (param.appVerLeft == '' || param.appVerMid == '' || param.appVerRight == '') {
			itp_fn_modal_alert_ajax('버전 값을 반드시 입력해야 합니다.');
			return false;
		}
		let appVer = param.appVerLeft + '.' + param.appVerMid + '.' + param.appVerRight;
		param.appVer = appVer;
		
		let input = {};		
		input.pagingYn = true;
		input.gridPage = 0;
		input.gridSize = 0;
		let output;
		
		function listFn(result) {
			output = result.gridRows;
		}
		fn_ajax_call(API_VERINFO_DETAIL_GRID_LIST, JSON.stringify(input), listFn, 'POST');
				
		for (var i = 0; i < output.length; i++) {
			if (appVer == output[i].appVer) {
				itp_fn_modal_alert_ajax('앱 버전이 이미 존재합니다.');
				return false;
			}
		}
		
		fn_ajax_call(API_VERINFO_SAVE_VERINFO, JSON.stringify(param), function() {	
			parentPopFn();
			$('#ITP_BIZPOP_VERSION').modal('hide'); // 팝업닫기			
		}, 'POST');
	});
}